//**************************************************************************
//
// File...: ACI.H
// Purpose: ACI header file for Windows 95/NT 3.51/4.0.
//
// -------------------------------------------------------------------------
// 
// (c) COPYRIGHT 1996,1997 by GRAU Storage Systems
//
//**************************************************************************


#ifdef __cplusplus
extern "C" {
#endif


#define IMPORTEXPORT __declspec(dllexport)

//----------------------------------------------//
//-----[ Buffer for the DAS server output ]-----//
//----------------------------------------------//

char aci_msg[64000];
// ---------- Length can be 64000 byte or less ---------- //


//--------------------------------//
//-----[ Universal ACI-Call ]-----//
//--------------------------------//

IMPORTEXPORT int WINAPI aci_call( char *, char *, char *, char *, char * );

// ---------------------------------------------------------------------
// Usage: ret = aci_call( server, client, mediatype, command, aci_msg )
//
//     where:
//
//     server    --> is the hostname of the computer on which the DAS
//                   server is running.
//
//     client    --> is the DAS client name (must be defined in the DAS
//                   config file).
//
//     mediatype --> is the DAS default media type.
//                   (3480 | OD-THICK | OD-THIN | DECDLT | 8MM | 4MM |
//                    D2 | VHS | 3590 | CD | TRAVAN | DTF | BETACAM)
//
//     command   --> is the DAS command string.
//                   (Use the same syntax as the dasadmin command !).
//
//     aci_msg   --> is the defined buffer in which the ACI-Call stores
//                   the output from the DAS server.
//                   (It is defined in this header file.)
//
//
// After execution an integer errorlevel will be given back.
//
//        0 --> All correct - successful operation.
//              (The output of DAS is stored in 'aci_msg' !)
//      
//       -1 --> Command execution failed. An DAS error occured.
//              (The error message is stored in 'aci_msg' !)
//
//       -2 --> Das was NOT active.
//              (The error message is stored in 'aci_msg' !)
//
//       -3 --> Connection problem.
//              (Check the network TCP/IP connection, the exist
//               of file 'ACI.CMD' in directory 'C:\OS2' on AMU/DAS-PC
//               and also the RSHD which should run on the AMU/DAS-PC.)
//
//       -4 --> Wrong command or invalid parameter(s).
//              (Check your syntax...).
//
// Example: 
// ret = aci_call( "AMU", "client1", "DECDLT", "listd", aci_msg);
//
// ---------------------------------------------------------------------



//---------------------------------------------------------//
//-----[ Get information about the state of a volume ]-----//
//---------------------------------------------------------//

IMPORTEXPORT int WINAPI aci_volume_state( char *, char *, char *, char * );

// ---------------------------------------------------------------------
// Usage: ret = aci_volume_state( server, client, mediatype, volume )
//
//     where:
//
//     server    --> is the hostname of the computer on which the DAS
//                   server is running.
//
//     client    --> is the DAS client name (must be defined in the DAS
//                   config file).
//
//     mediatype --> is the DAS default media type.
//                   (3480 | OD-THICK | OD-THIN | DECDLT | 8MM | 4MM |
//                    D2 | VHS | 3590 | CD | TRAVAN | DTF | BETACAM)
//
//     volume    --> get information about this volume
//
//
// After execution an integer errorlevel will be given back.
//
//       Errorcode -4 until -1 see ACI_CALL ! 
//
//       0  --> Volume is available.
//      
//       1  --> Volume is in use.
//
//       2  --> Volume is not accessable.
//              (Permission denied.)
//
//       3  --> Volume doesn't exist.
//
//
// Example: 
// ret = aci_volume_state( "AMU", "client5", "OD-THICK", "OD0815" );
//
// ---------------------------------------------------------------------



//--------------------------------------------------------//
//-----[ Get information about the state of a drive ]-----//
//--------------------------------------------------------//

IMPORTEXPORT int WINAPI aci_drive_state( char *, char *, char *, char * );

// ---------------------------------------------------------------------
// Usage: ret = aci_drive_state( server, client, mediatype, drive )
//
//     where:
//
//     server    --> is the hostname of the computer on which the DAS
//                   server is running.
//
//     client    --> is the DAS client name (must be defined in the DAS
//                   config file).
//
//     mediatype --> is the DAS default media type.
//                   (3480 | OD-THICK | OD-THIN | DECDLT | 8MM | 4MM |
//                    D2 | VHS | 3590 | CD | TRAVAN | DTF | BETACAM)
//
//     drive     --> get information about this drive.
//
//
// After execution an integer errorlevel will be given back.
//
//       Errorcode -4 until -1 see ACI_CALL ! 
//
//       0  --> Drive is reserved and available.
//      
//       1  --> Drive is NOT reserved, but accessable.
//
//       2  --> Drive is not accessable.
//
//       3  --> Drive is occupied.
//
//       4  --> Drive doesn't exist.
//
//
// Example: 
// ret = aci_drive_state( "AMU", "client2", "3480", "DRIVE1" );
//
//
// ---------------------------------------------------------------------

#ifdef __cplusplus
}
#endif

//********************************* EOF ************************************//
